ViennaCL - The Vienna Computing Library: viennacl::backend::detail Namespace Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Functions
viennacl::backend::detail Namespace Reference

Implementation details for the generic memory backend interface. More...

## Classes
struct | convert_to_opencl
| Helper struct for converting a type to its OpenCL pendant. More...

## Functions
memory_types | get_set_default_memory_type (memory_types *new_mem_type)
| Singleton for managing the default memory type. More...
template<typename T >
vcl_size_t | element_size (memory_types)
template<>
vcl_size_t | element_size< unsigned long > (memory_types)
template<>
vcl_size_t | element_size< long > (memory_types)
template<>
vcl_size_t | element_size< unsigned int > (memory_types)
template<>
vcl_size_t | element_size< int > (memory_types)

## Detailed Description

Implementation details for the generic memory backend interface.

## Function Documentation

template<typename T >

vcl_size_t viennacl::backend::detail::element_size | ( | memory_types |  | ) |

Definition at line 299 of file memory.hpp.

template<>

vcl_size_t viennacl::backend::detail::element_size< int > | ( | memory_types |  | ) |
| inline

Definition at line 349 of file memory.hpp.

template<>

vcl_size_t viennacl::backend::detail::element_size< long > | ( | memory_types |  | ) |
| inline

Definition at line 320 of file memory.hpp.

template<>

vcl_size_t viennacl::backend::detail::element_size< unsigned int > | ( | memory_types |  | ) |
| inline

Definition at line 335 of file memory.hpp.

template<>

vcl_size_t viennacl::backend::detail::element_size< unsigned long > | ( | memory_types |  | ) |
| inline

Definition at line 306 of file memory.hpp.

memory_types viennacl::backend::detail::get_set_default_memory_type | ( | memory_types * | new_mem_type | ) |
| inline

Singleton for managing the default memory type.

Parameters

  new_mem_type | If NULL, returns the current memory type. Otherwise, sets the memory type to the provided value.

Definition at line 51 of file mem_handle.hpp.